<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Alineando columnas</title>

    <!-- CSS de bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet">
    
  </head>
  <body>    

    <style>      
      .row{
        background: #28afb0;
        height: 100px;
      }

      .columna{
        background: #19647e;
      }
    </style>

    <div class="container">
      <!-- centrando columnas -->
      <!-- Para centrar vertilalmente varios elementos, al row le ponermos:
      align-items-center
      align-items-start
      align-items-end -->
     <div class="row fila align-items-center">
      <div class="col-6 columna">Columna 1</div>
      <div class="col-6 columna">Columna 2</div>
     </div>

     <div class="row fila align-items-start mt-2">
      <div class="col-6 columna">Columna 1</div>
      <div class="col-6 columna">Columna 2</div>
     </div>

     <div class="row fila align-items-end mt-2">
      <div class="col-6 columna">Columna 1</div>
      <div class="col-6 columna">Columna 2</div>
     </div>

     <!-- Para alinear cada columna:
     align-self-start
     align-self-end
     align-self-center -->
     <div class="row fila mt-5">
      <div class="col-4 align-self-start columna">Columna 1</div>
      <div class="col-4 align-self-center columna">Columna 2</div>
      <div class="col-4 align-self-end columna">Columna 3</div>
     </div>

     <!-- notas
      Para centrar contenido horizontalmente - eje x, usamos en el row:
      justify-content-start
      justify-content-end
      justify-content-center
      justify-content-around(Si hay espacio se use entre todos los elementos)
      justify-content-between(Para repartir el espacio entre las columnas) -->

      <div class="row mt-5 justify-content-center">
        <div class="col-2 columna">Columna 1</div>
        <div class="col-2 columna">Columna 2</div>
        <div class="col-2 columna">Columna 3</div>
      </div>
    
    </div>

    <!-- Jquery 3.6 -->
    <script src="js/jquery.js"></script>
    <!-- Production version -->
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <!-- JS de bootstrap -->
    <script src="js/bootstrap.min.js"></script>
  
  </body>
</html>